CreateFrame("Frame", "Minimap2", MinimapButtonsBar);
MiniMapTracking:SetParent(Minimap2);
MiniMapWorldMapButton:SetParent(Minimap2);
MiniMapMailFrame:SetParent(Minimap2);
MinimapZoomIn:SetParent(Minimap2);
MinimapZoomOut:SetParent(Minimap2);
DominosMinimapButton:SetParent(Minimap2);
GameTimeFrame:SetParent(Minimap2);

local menuButtons
do
	local loadButtons = function(...)
		menuButtons = {}
		
		for i = 1, select('#', ...) do
			local b = select(i, ...)
			local name = b:GetName()
			table.insert(menuButtons, b)
		end
	end
	loadButtons(_G['Minimap2']:GetChildren())
end

--[[ Minimap ]]--
local DMAP = Dominos:NewModule('buttons')
local MAP

function DMAP:Load()
	self.frame = MAP:New()
	self.frame:SetFrameStrata('LOW')
end
function DMAP:Unload()
	self.frame:Free()
end



MAP = Dominos:CreateClass('Frame', Dominos.Frame)


function MAP:New()
	local f = self.super.New(self, 'Buttons')
	if not f.value then
		f:SetFrameStrata('BACKGROUND')
		f:LoadButtons()
	end

	f:Layout()


	return f
end

function MAP:GetDefaults()
	return {
		scale = 1,
		point = 'TOPRIGHT',
		y = 0,
		x = 0,
	}
end
function MAP:NumButtons()
	return #menuButtons
end

function MAP:AddButton(i)
	local b = menuButtons[i]
	if b then
		b:SetParent(self.header)
		b:Show()

		self.buttons[i] = b
	end
end

function MAP:RemoveButton(i)
	local b = self.buttons[i]
	if b then
		b:SetParent(nil)
		b:Hide()

		self.buttons[i] = nil
	end
end